From ccb3e313ca00ff24750fa7da46ee12efe43dc2e2 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 30 Jan 2017 08:10:44 +0100
Subject: [PATCH] Fix block-level nesting on event list

The <p> element is a block-level element which prohibits any other
nested block-level elements such as <div> but also <p> itself.
Replace the <p> element wrapping the rendered event summary with a
<div> since the markdown filter renders <p> elements causing nested
block-levels inside <p>.
---
 templates/events/archive.html | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/templates/events/archive.html b/templates/events/archive.html
index 27b4a99..10ac323 100644
--- a/templates/events/archive.html
+++ b/templates/events/archive.html
@@ -16,9 +16,9 @@ whatsoever.</i>
 <div>Date: <b>{{event.displaydate|safe}}</b></div>
 <div>Location: <b>{{event.locationstring}}</b></div>
 {%if event.language%}<div>Language: <b>{{event.language}}</b></div>{%endif%}
-<p>
+<div>
 {{event.summary|markdown}}
-</p>
+</div>
 {%endfor%}
 {%if not archive%}
 <p><a href="/about/eventarchive/{{eventblock.link}}">Older {{eventblock.name}}</a></p>
-- 
2.6.4 (Apple Git-63)

